Bug 1514792 - gns3 doesn't work with python3-aiohttp-2.3.0
Summary: gns3 doesn't work with python3-aiohttp-2.3.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gns3-server
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-18 16:29 UTC by Jalal Ahmed
Modified: 2018-01-16 17:08 UTC (History)
3 users (show)

Fixed In Version: gns3-server-2.1.0-1.fc27 gns3-server-2.1.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 17:08:48 UTC


Attachments (Terms of Use)

Description Jalal Ahmed 2017-11-18 16:29:00 UTC
Description of problem:
GNS3 was working fine with 

python3-aiohttp-2.2.x
but after updating it to
python3-aiohttp-2.3.0
GNS3 doesn't work any more, the message after I run GNS3 is

"Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused" and this message "RuntimeError: aiohttp 2.2 is required to run the GNS3 server"

So, we can run GNS3 only if we downgrade aiohttp to 2.2.x.
Hope GNS3 and aiohttp developer get the issue solved soon.

Comment 1 Othman Madjoudj 2017-11-18 16:56:16 UTC
It's a know issue, your only option for now is to downgrade aiohttp (sudo dnf downgrade python3-aiohttp).

I tried to influence bodhi but it was too late [1].

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f5ed90143

Comment 2 Jalal Ahmed 2017-11-18 18:37:15 UTC
Yes, I know that, but I want to file a report for anyone can help, in either gns3 or aiohttp programming.
There are two reports in github of both gns3 and aiohttp, but if nothing happened I suggest to file new reports in both of them pages.

This issue isn't in Ubuntu or debian, because they still use 2.2.x of aiohttp.

Comment 3 Ciprian Gheorghe 2017-11-20 21:11:49 UTC
Thank you for this bug, I didn't understand what was happening with my latest Fedora 27 and GNS3.

Comment 4 Othman Madjoudj 2017-11-20 22:26:54 UTC
I've added some dirty workaround in gns3-2.1.0 final since I found another compatibility issue with recent python-yarl, but it will only fix the new installation and future upgrade.

I'd appreciate your feedback (bodhi link below)

Comment 5 Fedora Update System 2017-11-20 22:27:12 UTC
gns3-server-2.1.0-1.fc27 gns3-gui-2.1.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-649532fe8e

Comment 6 Jalal Ahmed 2017-11-21 19:19:07 UTC
That is a bad behavior from GNS3 develop community, they should when ever want to update GNS3 the should have a look at all dependences with their recent versions.

Yes, I update to gns3-gui-2.1.0-1 and gns3-server-2.1.0-1 and it works.

Comment 7 Fedora Update System 2017-11-22 06:31:49 UTC
gns3-gui-2.1.0-1.fc27, gns3-server-2.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-649532fe8e

Comment 8 Tony 2017-12-04 20:19:57 UTC
Hello,

Somewhat confused as to how long this push to stable is going to take. It appears to be sitting in Testing/Batched state for some time. Does this require any user acceptance/testing/karma updates before it becomes stable?

Comment 9 Fedora Update System 2017-12-10 05:03:07 UTC
gns3-gui-2.1.0-1.fc27, gns3-server-2.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Jalal Ahmed 2017-12-10 16:23:51 UTC
@Tony Even the new version doesn't work, but the good news is that, you can install dynamips 32-bit version after uninstall 64-bit of it, it will work.
There is some issue, hope it will get fixed soon.

Comment 11 Fedora Update System 2017-12-30 21:52:33 UTC
gns3-server-2.1.1-1.fc27 gns3-gui-2.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c330d20c74

Comment 12 Fedora Update System 2017-12-31 19:32:41 UTC
gns3-gui-2.1.1-1.fc27, gns3-server-2.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c330d20c74

Comment 13 Fedora Update System 2018-01-16 17:08:48 UTC
gns3-gui-2.1.1-1.fc27, gns3-server-2.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.